spi_write
Prev | Chapter 29. Serial Peripheral Interface (SPI) | Next

## Name

spi_write — SPI synchronous write

## Synopsis

`int spi_write (` | struct spi_device * | spi,
| const u8 * | buf,
| size_t | len`)`;

## Arguments

`spi`

  device to which data will be written

`buf`

  data buffer

`len`

  data buffer size

## Context

can sleep

## Description

This writes the buffer and returns zero or a negative error code. Callable only from contexts that can sleep.

Prev | Up | Next
spi_async | Home | spi_read